# -*- coding: utf-8 -*-
#MoxInbitweenKeyReductor → MoxPosePick 16/11/8 名前変更
#新規作成のロケーターに、キーポーズを設定し実行
#キーポーズ以外のキーが削除されます。
#使用方法：キーポーズ設定ロケーターを選択、追加でリダクションしたいキャラを選択

import maya.cmds as cmds

def main():
    oSels = cmds.ls(sl=True)
    listFcv = cmds.keyframe(oSels[0],q=True, n=True)#KeyposeロケーターのFカーブを取得
    aFcvTim = cmds.keyframe(listFcv[0],q=True,tc=True)#最初のFカーブのキー時間の取得

    #キー情報を元にAnm_Group以下のキーを削除
    for c in range(len(aFcvTim)):
        if aFcvTim[c] != aFcvTim[-1] :
            cmds.cutKey(oSels[1],t=(aFcvTim[c],aFcvTim[c+1]), o="curve", hi="below")
        else:cmds.cutKey(oSels[1],t=(aFcvTim[c]+1,10000), o="keys", hi="below")